# pydicom.encaps.decode_data_sequence

pydicom.encaps.decode_data_sequence(data: bytes) → list[bytes]

  Read encapsulated data and return a list of bytes.

  Deprecated since version 3.0: This function will be removed in v4.0, Please use `generate_frames()` for generating frame data or `generate_fragments()` for generating fragment data.

  Parameters:

    data (bytes) – The encapsulated data, typically the value from `Dataset.PixelData`.

  Returns:

    All fragments as a list of `bytes`.

  Return type:

    list of bytes